# draugr.torch_utilities.persistence.parameters.save_parameters_and_configuration

draugr.torch_utilities.persistence.parameters.save_parameters_and_configuration(*, model: Module, model_save_path: Path, optimiser: Optional [Optimizer] = None, optimiser_save_path: Optional [ Path ] = None, config_save_path: Optional [ Path ] = None, loaded_config_file_path: Optional [ Path ] = None) → None
  Parameters

    - optimiser –

    - optimiser_save_path –

    - model –

    - model_save_path –

    - config_save_path –

    - loaded_config_file_path –

  Returns